For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request categories
        • GETGet service request category by ID
        • POSTCreate Service Request: ResMan
        • PUTUpdate Service Request: ResMan
        • POSTCreate Service Request History: ResMan - Not Supported
        • POSTCreate Service Request Files: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManService Requests

Get all service requests

GET
/v1/service-requests/
GET
/v1/service-requests/
$curl https://api.propexo.com/v1/service-requests/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "208c7792-19cb-4653-893c-6714458f5009",
18 "x_property_id": "6b578f0f-52c8-4cdb-9283-d8d822e1133c",
19 "x_location_id": null,
20 "x_unit_id": null,
21 "x_sub_task_id": null,
22 "access_is_authorized": null,
23 "access_notes": null,
24 "building": null,
25 "completion_notes": "Replaced old pipe with PVC.",
26 "date_completed": "2024-02-01T00:00:00.000Z",
27 "date_created": "2024-02-15T00:00:00.000Z",
28 "date_due": "2024-02-17T00:00:00.000Z",
29 "date_scheduled": null,
30 "service_category": "Broken Blinds",
31 "service_description": "Previous lease must have broken the blinds. They need to be replaced.",
32 "service_details": "Needs 37 inch blinds in egg shell color.",
33 "service_priority": "Medium",
34 "status_raw": "Completed",
35 "vendor_notes": null,
36 "unit_number": "1102",
37 "order_number": "1",
38 "integration_id": "clwh5u07w000508me66sfh3um",
39 "integration_vendor": "RESMAN",
40 "property_id": "clwi5xiix000008l6ctdgafyh",
41 "unit_id": null,
42 "employee_id": "cm20wwnse57896015aniou4f75lmz",
43 "vendors": [
44 {
45 "vendor_id": "string"
46 }
47 ],
48 "history": [
49 {
50 "id": "clwktsp9v000008l31iv218hn",
51 "created_at": "2024-03-21T15:38:08.337Z",
52 "updated_at": "2024-03-22T10:59:45.119Z",
53 "last_seen": "2024-03-22T10:59:45.119Z",
54 "x_id": "string",
55 "x_created_at": "string",
56 "notes": "string",
57 "creator_name": "string",
58 "status_raw": "string",
59 "service_request_id": "string"
60 }
61 ],
62 "employees": [
63 {
64 "id": "clwktsp9v000008l31iv218hn",
65 "created_at": "2024-03-21T15:38:08.337Z",
66 "updated_at": "2024-03-22T10:59:45.119Z",
67 "last_seen": "2024-03-22T10:59:45.119Z",
68 "x_id": "2a161bee-96c5-4939-88f6-8ae8c9428fed",
69 "name": "John Wick"
70 }
71 ],
72 "notes": null
73 }
74 ]
75}
Get all service requests
Was this page helpful?
Previous

Get a service request by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_idstringOptional
The Propexo unique identifier for the unit
employee_idstringOptional
The Propexo unique identifier for the employee
vendor_idstringOptional
The Propexo unique identifier for the vendor
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
unit_numberstringOptional

The unit number of the service request. When using this, the Propexo property_id filter must be added as well.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error